## org.hibernate.metamodel.relational
Class ObjectName

    java.lang.Object
      org.hibernate.metamodel.relational.ObjectName

    public class ObjectName

extends Object

Models the qualified name of a database object.

Some things to keep in mind wrt catalog/schema: 1) `DatabaseMetaData.isCatalogAtStart()` 2) `DatabaseMetaData.getCatalogSeparator()`

Constructor Summary
`ObjectName(Identifier name)`
`ObjectName(Identifier schema, Identifier catalog, Identifier name)` Creates a qualified name reference.
`ObjectName(Schema schema, Identifier name)`
`ObjectName(Schema schema, String name)`
`ObjectName(String objectName)` Tries to create an `ObjectName` from a name.
`ObjectName(String schemaName, String catalogName, String name)`

Method Summary
`boolean` `equals(Object o)`
`Identifier` `getCatalog()`
`Identifier` `getName()`
`Identifier` `getSchema()`
`int` `hashCode()`
`String` `toString()`
`String` `toText()`
`String` `toText(Dialect dialect)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectName

    public ObjectName(String objectName)

  Tries to create an `ObjectName` from a name.

  Parameters:
    `objectName` - simple or qualified name of the database object.

### ObjectName

    public ObjectName(Identifier name)

### ObjectName

    public ObjectName(Schema schema,
                      String name)

### ObjectName

    public ObjectName(Schema schema,
                      Identifier name)

### ObjectName

    public ObjectName(String schemaName,
                      String catalogName,
                      String name)

### ObjectName

    public ObjectName(Identifier schema,
                      Identifier catalog,
                      Identifier name)

  Creates a qualified name reference.

  Parameters:
    `schema` - The in which the object is defined (optional)
    `catalog` - The catalog in which the object is defined (optional)
    `name` - The name (required)

Method Detail

### getSchema

    public Identifier getSchema()

### getCatalog

    public Identifier getCatalog()

### getName

    public Identifier getName()

### toText

    public String toText()

### toText

    public String toText(Dialect dialect)

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.